<!--
    Licensed to the Apache Software Foundation (ASF) under one or more
    contributor license agreements.  See the NOTICE file distributed with
    this work for additional information regarding copyright ownership.
    The ASF licenses this file to You under the Apache License, Version 2.0
    the "License"); you may not use this file except in compliance with
    the License.  You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
 -->

# Contribute To Solr

Thank you for your interest in contributing to the Apache Solr project. Solr continues to improve via the many contributions of developers around the world and new contributions are welcomed and encouraged.

Your suggestions and comments can be made directly through the [Apache Solr JIRA](https://issues.apache.org/jira/projects/SOLR/issues).

There are many ways to participate in and contribute to Solr, such as: code implementation, test implementation, documentation improvements.  Participating in the user mailing list, being active on [Solr Slack](https://s.apache.org/solr-slack) answering questions and providing feedback to developers are also powerful ways to contribute to Solr.
The community is also always looking for [moderators](#be-a-mailing-list-moderator) for the mailing lists.

If you have any questions along the way, you can reach out to the community using the resources provided [here](https://solr.apache.org/community.html#mailing-lists-chat).

## How To Contribute

Information on how to contribute can be found in the [How To Contribute developer documentation](dev-docs/how-to-contribute.adoc).

## Contributing Documentation

One very helpful area for contribution to Solr is via documentation improvements and additions to help make Solr easier to use for others. You can read more about how to modify and update Solr documentation in the [Solr Reference Guide README](solr/solr-ref-guide/README.adoc).

Additionally, you can contribute to improve the [Solr developer documentation](dev-docs) to make the contribution process easier for future developers.

Finally, changes to the Solr website (solr.apache.org) can be made in the [solr-site repository](https://github.com/apache/solr-site).

## Working With Solr Source Code

Information on how to work with Solr source code and the build system can be found in the [Solr Source Code developer documentation](dev-docs/solr-source-code.adoc).

## IDE Support

Information on IDE support can be found in the [IDEs developer documentation](dev-docs/IDEs.adoc).

## JVM Support

Information on JVMs can be found in the [JVMs developer documentation](dev-docs/jvms.adoc).

## FAQs

Frequently asked questions can be found in the [FAQ developer documentation](dev-docs/FAQ.adoc)


## Be A Mailing List Moderator

Being a list moderator is incredibly easy - the basic responsibilities are:

Get a copy of any email sent to one of the Solr lists from an address that is not subscribed and review it to see if it's spam or not.
Occasionally help people with particular difficulties unsubscribing to the mailing list.

If you'd like to volunteer to be the moderator of a mailing list, just contact listname-owner@solr.apache.org... (ie: users-owner@solr.apache.org...)
