/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.solr.search;

import org.apache.solr.common.util.NamedList;
import org.apache.solr.handler.component.ResponseBuilder;
import org.apache.solr.handler.component.SearchComponent;

public class MockSearchComponent extends SearchComponent {

  private String testParam = null;

  @Override
  public void init(NamedList<?> args) {
    super.init(args);
    testParam = (String) args.get("testParam");
  }

  @Override
  public void prepare(ResponseBuilder rb) {}

  @Override
  public void process(ResponseBuilder rb) {
    rb.rsp.add(this.getName(), this.testParam);
  }

  @Override
  public String getDescription() {
    return "Mock search component for tests";
  }
}
