<div>
  <a href="https://solr.apache.org/">
    <img src="solr.svg" style="width:210px; margin:22px 0px 7px 20px; border:none;" title="Apache Solr Logo" alt="Solr" />
  </a>
  <div style="z-index:100;position:absolute;top:25px;left:226px">
    <span style="font-size: x-small">TM</span>
  </div>
</div>

# Apache Solr™ ${project.version} Documentation

Solr is the popular, blazing fast, open source NoSQL search platform from the Apache Lucene project. Its major 
features include powerful full-text search, hit highlighting, faceted search and analytics, rich document 
parsing, geospatial search, extensive REST APIs as well as parallel SQL. Solr is enterprise grade, secure and 
highly scalable, providing fault tolerant distributed search and indexing, and powers the search and navigation 
features of many of the world's largest internet sites.

Solr is written in Java and runs as a standalone full-text search server. Solr uses the Lucene Java search 
library at its core for full-text indexing and search, and has REST-like JSON APIs that make it easy to use 
from virtually any programming language. Solr's powerful configuration APIs and files allows it to be tailored 
to almost any type of application without Java coding, and it has an extensive plugin architecture when more 
advanced customization is required.

This is the official documentation for **Apache Solr ${project.version}**.

## Reference Documents

* [Reference Guide](${project.solrRefguideUrl}/): The main documentation for Solr
* [Changes](changes/Changes.html): List of changes in this release
* [System Requirements](SYSTEM_REQUIREMENTS.html): Minimum and supported Java versions
* [Solr Tutorial](${project.solrRefguideUrl}/getting-started/solr-tutorial.html):
  This document covers the basics of running Solr using an example schema, and some sample data
* [Lucene Documentation](${project.luceneDocUrl}/index.html)
  
## API Javadocs

${projectList}
